summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Leonardo de Amaral Vidal2010-09-09 16:49:13 +0200
committer dsomero2010-09-09 16:49:13 +0200
commitb87d877e13fe43863121cb9fbaa9ec92cd038cf0 (patch)
treecc48cd920cc4386ed2770a8e4f5125f0202631d2 /multimedia
parent7d5ffabc4dd36157ffce5ed8f57a38bfb4307350 (diff)
downloadslackbuilds-b87d877e13fe43863121cb9fbaa9ec92cd038cf0.tar.gz
multimedia/nrg2iso: Added (Nero image files to ISO image files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/nrg2iso/README3
-rw-r--r--multimedia/nrg2iso/nrg2iso.SlackBuild100
-rw-r--r--multimedia/nrg2iso/nrg2iso.info10
-rw-r--r--multimedia/nrg2iso/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/multimedia/nrg2iso/README b/multimedia/nrg2iso/README
new file mode 100644
index 0000000000..910406deea
--- /dev/null
+++ b/multimedia/nrg2iso/README
@@ -0,0 +1,3 @@
+nrg2iso is a simple appplication that converts Nero(tm) image
+files (nrg) to ISO image files.
+
diff --git a/multimedia/nrg2iso/nrg2iso.SlackBuild b/multimedia/nrg2iso/nrg2iso.SlackBuild
new file mode 100644
index 0000000000..815b33c5e7
--- /dev/null
+++ b/multimedia/nrg2iso/nrg2iso.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for nrg2iso
+
+# SlackBuild written by Leonardo de Amaral Vidal (leonardoav@gmail.com)
+# It was based on slackbuilds.org template.
+
+# This script is under MIT license.
+#
+# Copyright (c) 2010 Leonardo de Amaral Vidal
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+#
+
+
+PRGNAM=nrg2iso
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Sorry, i had to do this due its Makefile.
+CFLAGS="$SLKCFLAGS"
+gcc nrg2iso.c -o $PRGNAM $CFLAGS
+mkdir -p $PKG/usr/bin
+cp $PRGNAM $PKG/usr/bin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ gpl.txt CHANGELOG Makefile \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/nrg2iso/nrg2iso.info b/multimedia/nrg2iso/nrg2iso.info
new file mode 100644
index 0000000000..b40a962554
--- /dev/null
+++ b/multimedia/nrg2iso/nrg2iso.info
@@ -0,0 +1,10 @@
+PRGNAM="nrg2iso"
+VERSION="0.4"
+HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
+DOWNLOAD="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso-0.4.tar.gz"
+MD5SUM="996c38c8f1465e9c51ccad4f31ec2eee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Leonardo de Amaral Vidal"
+EMAIL="leonardoav@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/nrg2iso/slack-desc b/multimedia/nrg2iso/slack-desc
new file mode 100644
index 0000000000..8431ec871e
--- /dev/null
+++ b/multimedia/nrg2iso/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+nrg2iso: nrg2iso (Converts Nero image files to ISO image files)
+nrg2iso:
+nrg2iso: nrg2iso is a simple appplication that converts Nero(tm) image
+nrg2iso: files (nrg) to ISO image files.
+nrg2iso:
+nrg2iso: Written by Gregory Kokanosky
+nrg2iso:
+nrg2iso: Homepage: http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html
+nrg2iso:
+nrg2iso:
+nrg2iso: